Generate a new OAuth bearer token from the given client credentials.

Application token and application secret MUST be provided, either as properties in the JSON body, or in the Authorization header.

The returned bearer token will allow the client all the same access permissions as the given application token and secret. Bearer tokens are sent in the Authorization header in the form Bearer <bearer_token>.

All bearer tokens expire one hour from generation.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

Application token for the client. This is the application token for a particular workflow.

string

Application secret for the client. This is the application secret for a particular workflow (and must match the application token).

string
enum

OAuth grant type. Only the "Client Credentials" grant type is supported.

Allowed:
Headers
string

Basic authorization header per the OAuth Client Authorization Header standard.

The format is Basic <auth_string>, where <auth_string> is the base64 encoding of the string application_token:application_secret (the application token and application secret, separated by a colon character).

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json